BuildModelUpdaterTool (Apache OpenNLP Tools 2.5.9 API)
Description: declaration: package: opennlp.tools.cmdline.parser, class: BuildModelUpdaterTool

# Class BuildModelUpdaterTool

java.lang.Object
opennlp.tools.cmdline.CmdLineTool
opennlp.tools.cmdline.TypedCmdLineTool<Parse, opennlp.tools.cmdline.parser.ModelUpdaterTool.ModelUpdaterParams>
opennlp.tools.cmdline.AbstractTypedParamTool<Parse, opennlp.tools.cmdline.parser.ModelUpdaterTool.ModelUpdaterParams>
opennlp.tools.cmdline.parser.BuildModelUpdaterTool

public final class BuildModelUpdaterTool extends opennlp.tools.cmdline.AbstractTypedParamTool<Parse, opennlp.tools.cmdline.parser.ModelUpdaterTool.ModelUpdaterParams>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BuildModelUpdaterTool()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getShortDescription()`
  `final void`
  `run(String format, String[] args)`
  Executes the tool with the given parameters.

  ### Methods inherited from class opennlp.tools.cmdline.AbstractTypedParamTool

  `getHelp`

  ### Methods inherited from class opennlp.tools.cmdline.TypedCmdLineTool

  `getHelp`

  ### Methods inherited from class opennlp.tools.cmdline.CmdLineTool

  `getName, hasParams`

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BuildModelUpdaterTool

    public BuildModelUpdaterTool()

- ## Method Details

  - ### getShortDescription

    public String getShortDescription()
    Overrides:
      `getShortDescription` in class `opennlp.tools.cmdline.CmdLineTool`
    Returns:
      Retrieves a short description of what the tool does

  - ### run

    public final void run(String format, String[] args)
    Description copied from class: `opennlp.tools.cmdline.TypedCmdLineTool`
    Executes the tool with the given parameters.
    Specified by:
      `run` in class `opennlp.tools.cmdline.TypedCmdLineTool<Parse, opennlp.tools.cmdline.parser.ModelUpdaterTool.ModelUpdaterParams>`
    Parameters:
      `format` - format to work with
      `args` - command line arguments